<?php
// Variabeln definieren
if (!isset($_POST['buchen'])) $_POST['buchen'] = "";
if (!isset($_POST['verdienst'])) $_POST['verdienst'] = "";
if (!isset($_POST['menge'])) $_POST['menge'] = "0";
if (!isset($_POST['ziel'])) $_POST['ziel'] = "";
if (!isset($_POST['banner_url'])) $_POST['banner_url'] = "";
if (!isset($_POST['reload'])) $_POST['reload'] = "1";
if (!isset($_POST['aufendhalt'])) $_POST['aufendhalt'] = "0";
if (!isset($buchungsfehler)) $buchungsfehler = "";
if (!isset($buchung)) $buchung = "";

if ($_POST['buchen'] == 'Jetzt Buchen') {
    // Fehlerprüfung
    if (!$_POST['menge'] or !filter_var($_POST['aufendhalt'],FILTER_VALIDATE_INT)) $buchungsfehler .= 'Bei Menge nur Zahlen!<br>';
    if (!$_POST['banner_url'] or !$_POST['menge'] or !$_POST['ziel'] or !$_POST['reload']) $buchungsfehler .= 'Bitte alle Felder ausfüllen!<br>';
    if ($_POST['reload'] < 1 or $_POST['reload'] > 24 or !filter_var($_POST['reload'],FILTER_VALIDATE_INT)) $buchungsfehler .= 'Bei Reloadzeit nur Zahlen und zwischen 1 und 24 Stunden!<br>';
    if ($_POST['aufendhalt'] < 0 or $_POST['aufendhalt'] > 30 or !filter_var($_POST['aufendhalt'],FILTER_VALIDATE_INT)) $buchungsfehler .= 'Bei dem Aufendhalt nur Zahlen und zwischen 0 und 30 Sekunden!<br>';
    if ($_POST['aufendhalt'] > 30 or $_POST['aufendhalt'] < 0 or !filter_var($_POST['aufendhalt'],FILTER_VALIDATE_INT)) $buchungsfehler .= 'Aufendhalt nur Zahlen und zwischen 1 und 30 Sek.!<br>';
    // Buchung durchführen
    if (!$buchungsfehler) {
        $buchungs_id = create_code(32);
        $reload = $_POST['reload'] * 60 * 60;
        db_query("INSERT INTO " . $db_prefix . "_gebuchte_werbung  (tan,ziel,banner,aufendhalt,menge,preis,verdienst,werbeart,status,reload,sponsor) VALUES ('" . $buchungs_id . "','" . $_POST['ziel'] . "','" . $_POST['banner_url'] . "','" . $_POST['aufendhalt'] . "','" . $_POST['menge'] . "','0','" . $_POST['verdienst'] . "','forcedbanner','1','" . $reload . "','administrator')");
        $buchung = 'true';
    }
}

if ($buchungsfehler) {
    head("Eingabefehler");
    echo '<b><font color="#FF0000">' . $buchungsfehler . '</font></b>';
    foot();
}

if ($buchung == 'true') {
    head("Buchung erfolgreich...");
    echo '<font color="#000080">Deine Buchung war erfolgreich und wurde dem System hinzugefügt.</font>';
    foot();
}
head("Formular Forcedbanner 468*60");
    echo '
    <form action="" method="post">
    <table width="100%" border="0" cellpadding="2" cellspacing="2">
    <tr>
        <td>Menge</td>
        <td><input type="Text" name="menge" value="' . $_POST['menge'] . '" style="width:60px" maxlength="6"></td>
    </tr>
    <tr>
        <td>Userverdienst</td>
        <td><input type="Text" name="verdienst" value="' . $_POST['verdienst'] . '" style="width:60px" maxlength="6"></td>
    </tr>
    <tr>
        <td>Ziel URL (mit http://)</td>
        <td><input type="Text" name="ziel" value="' . $_POST['ziel'] . '" style="width:330px"></td>
    </tr>
    <tr>
         <td>Banner URL (mit http://)</td>
         <td><input type="Text" name="banner_url" value="' . $_POST['banner_url'] . '" style="width:330px"></td>
    </tr>
    <tr>
        <td>Reloadzeit (Stunden)</td>
        <td><input type="Text" name="reload" value="' . $_POST['reload'] . '" style="width:40px" maxlength="2"> max. 24 Stunden</td>
    </tr>
    <tr>
        <td>Aufenthalt (Sekunden)</td>
        <td><input type="Text" name="aufendhalt" value="' . $_POST['aufendhalt'] . '" style="width:40px" maxlength="2"> max. 30</td>
    </tr>
    <tr>
        <td align="center" valign="middle" colspan="2"><input type="Submit" name="buchen" value="Jetzt Buchen"></td>
    </tr>
    </table>
    </form>';
foot();